Installing JasperETL

-1

 Hi all,

I installed the JasperServer BI suite on my x64 XP Pro box w/o a problem and ran the app.  I'm curious as to why the ETL part doesnt seem to be included although you'd think it was reading the JS website.

Regardless, I pulled down the JasperETL-All-r24830-V3.1.1.zip file and tried to run JasperETL-win32-x86_64.exe. No luck: keeps giving me an error box:

"The JasperETL-win32-x86_64.exe executable launcher was unable to locate its companion shared library"

 

Any idea what this means and how to fix it?

Thanks.

J.

jeromepineau's picture
Joined: Aug 4 2009 - 2:16pm
Last seen: 10 years 7 months ago

4 Answers:

0

Hi Jerome,

 

This error is a common error when the product is partially unzipped.
Try another unzipper like 7-zip.

 

Hope this helps

Stas

stasp's picture
19180
Joined: Jun 3 2009 - 9:53am
Last seen: 1 day 20 hours ago
0

 Unfortunately not, although now I get a different errror:

 

---------------------------

JasperETL-win32-x86_64

---------------------------

JVM terminated. Exit code=-1

-Xms40m

-Xmx500m

-XX:MaxPermSize=128m

-Djava.class.path=C:\\JasperETL_All\\JasperETL-All-r24830-V3.1.1\\plugins\\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar

-os win32

-ws win32

-arch x86_64

-showsplash

-launcher C:\\JasperETL_All\\JasperETL-All-r24830-V3.1.1\\JasperETL-win32-x86_64.exe

-name JasperETL-win32-x86_64

--launcher.library C:\\JasperETL_All\\JasperETL-All-r24830-V3.1.1\\plugins\\org.eclipse.equinox.launcher.win32.win32.x86_64_1.0.100.v20080509-1800\\eclipse_1114.dll

-startup C:\\JasperETL_All\\JasperETL-All-r24830-V3.1.1\\plugins\\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar

-vm C:\\Program Files (x86)\\Java\\jdk1.6.0_07\\bin\\..\\jre\\bin\\client\\jvm.dll

-vmargs

-Xms40m

-Xmx500m

-XX:MaxPermSize=128m

-Djava.class.path=C:\\JasperETL_All\\JasperETL-All-r24830-V3.1.1\\plugins\\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar 

---------------------------

OK   

---------------------------

 
jeromepineau's picture
Joined: Aug 4 2009 - 2:16pm
Last seen: 10 years 7 months ago
0

This is caused by your java enviroment.

I Think you even can't open your eclipse at that time.

You can try to modify the file "JasperETLPro-win32-x86_64.ini" or related file. Add the following 2 lines to the top of this file.(**2 lines, not 1 line)

 -vm
D:/java/jdk1.6.0/bin/javaw.exe



Post Edited by long_geng at 08/14/2009 05:31
long_geng's picture
Joined: Aug 13 2009 - 10:17pm
Last seen: 10 years 7 months ago
0

 I can run Eclipse independantly actually. I can also run the 32-bit version of the tool on my x64 XP box here -- anyway I suspect you're right and will try your suggestion.  Kind regards.

J..

jeromepineau's picture
Joined: Aug 4 2009 - 2:16pm
Last seen: 10 years 7 months ago
Feedback
randomness